Bug 176835 - AWT thread blocked for 5687 ms.
AWT thread blocked for 5687 ms.
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: JSF
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Alexey Butenko
issues@javaee
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-14 00:41 UTC by webminer
Modified: 2010-01-27 13:07 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (256.00 KB, application/nps)
2009-11-14 00:42 UTC, webminer
Details
nps snapshot (256.00 KB, application/nps)
2009-11-19 03:45 UTC, Michal Mocnak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description webminer 2009-11-14 00:41:58 UTC
Build: NetBeans IDE Dev (Build 200911091156)
VM: Java HotSpot(TM) Client VM, 14.3-b01, Java(TM) SE Runtime Environment, 1.6.0_17-b04
OS: Windows XP, 5.1, x86

User Comments:
GUEST: creation of a project JavaWeb with JSF Framework

webminer: in project properties / Configuration

malakim: Viewing project properties for a web application project


Maximum slowness yet reported was 7831 ms, average is 4904
Comment 1 webminer 2009-11-14 00:42:04 UTC
Created attachment 91039 [details]
nps snapshot
Comment 2 Exceptions Reporter 2009-11-14 00:42:10 UTC
This issue already has 6 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=159335
Comment 3 Petr Jiricka 2009-11-16 06:28:21 UTC
The following part takes the longest, reassigning to JSF:

org.netbeans.modules.web.jsf.wizards.JSFConfigurationPanelVisual.initLibraries(): 4255 / 0
Comment 4 Michal Mocnak 2009-11-19 03:45:13 UTC
Created attachment 91322 [details]
nps snapshot
Comment 5 Alexey Butenko 2010-01-25 04:57:26 UTC
http://hg.netbeans.org/web-main/rev/c00a216a7623
Comment 6 Quality Engineering 2010-01-27 13:07:32 UTC
Integrated into 'main-golden', will be available in build *201001271614* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/c00a216a7623
User: Alexey Butenko <alexeybutenko@netbeans.org>
Log: #176835:  AWT thread blocked for 5687 ms.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo